[Python-modules-commits] [python-keyring] 02/04: Add autopkgtests for the Secret Service backend.
Dmitry Shachnev
mitya57 at moszumanska.debian.org
Thu Oct 20 20:40:56 UTC 2016
This is an automated email from the git hooks/post-receive script.
mitya57 pushed a commit to branch master
in repository python-keyring.
commit d16fac5d3f5764f00c02029a3bf62bb2751e1b1d
Author: Dmitry Shachnev <mitya57 at gmail.com>
Date: Thu Oct 20 23:36:25 2016 +0300
Add autopkgtests for the Secret Service backend.
---
debian/changelog | 1 +
debian/tests/control | 11 +++++++++++
debian/tests/secretstorage-python2 | 10 ++++++++++
debian/tests/secretstorage-python3 | 10 ++++++++++
4 files changed, 32 insertions(+)
diff --git a/debian/changelog b/debian/changelog
index fb321d3..a063d2d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,6 +3,7 @@ python-keyring (10.0.2-1) UNRELEASED; urgency=medium
* New upstream release.
* Bump X-Python3-Version, following upstream.
* Drop pytest build-dependencies, the tests cannot be run during build.
+ * Add autopkgtests for the Secret Service backend.
-- Dmitry Shachnev <mitya57 at debian.org> Thu, 20 Oct 2016 17:06:19 +0300
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..98d78d3
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,11 @@
+Tests: secretstorage-python2
+Depends: gnome-keyring (>= 3.11.92),
+ python-keyring,
+ python-secretstorage
+Restrictions: allow-stderr
+
+Tests: secretstorage-python3
+Depends: gnome-keyring (>= 3.11.92),
+ python3-keyring,
+ python3-secretstorage
+Restrictions: allow-stderr
diff --git a/debian/tests/secretstorage-python2 b/debian/tests/secretstorage-python2
new file mode 100755
index 0000000..b731470
--- /dev/null
+++ b/debian/tests/secretstorage-python2
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -eux
+cd "$ADTTMP"
+
+export XDG_RUNTIME_DIR="$ADTTMP"
+
+for python in $(pyversions -i); do
+ dbus-run-session -- $python -m unittest -v keyring.tests.backends.test_SecretService
+done
diff --git a/debian/tests/secretstorage-python3 b/debian/tests/secretstorage-python3
new file mode 100755
index 0000000..4ac96e0
--- /dev/null
+++ b/debian/tests/secretstorage-python3
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -eux
+cd "$ADTTMP"
+
+export XDG_RUNTIME_DIR="$ADTTMP"
+
+for python in $(py3versions -i); do
+ dbus-run-session -- $python -m unittest -v keyring.tests.backends.test_SecretService
+done
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/python-modules/packages/python-keyring.git
More information about the Python-modules-commits
mailing list